package com.seatel.mobilehall.util.manager

/**
 *
 *
 * @author Noel
 * @version
 * @created on 19-Oct-18
 */
class PlanSubscriptionRequestModel<T : PlanSubscriptionRequestModel.AddOns>() {
    var planName: String? = ""
    var addOns: List<T>? = null

    constructor(planName: String? = "",
                addOns: List<T>? = null) : this() {
        this.planName = planName
        this.addOns = addOns
    }

    data class AddOns(var amount: Double? = 0.0,
                      var addOnName: String? = "",
                      var addOnIcon: String? = "",
                      var duration:Int = 0,
                      var _id: String = "") {
        init {

        }
    }
}